DX NetOps

Expand all | Collapse all

Spectrum 10 Upgrade: CABI Requires New System (Spectrum Report Manager)

  • 1.  Spectrum 10 Upgrade: CABI Requires New System (Spectrum Report Manager)

    Posted 02-08-2016 06:06 PM

    This may be old news to some people, for anyone out there that hasn't upgraded to Spectrum 10 and is making use of Spectrum Report Manager (SRM), be aware, you cannot upgrade CABI on your SRM system.  You have to build out an entirely new SRM system and install the latest version of CABI there, then run a migration from your old system to the new one.  Yes, this is broken joke of an upgrade, and no, it isn't mentioned in the Spectrum 10 Release Notes.  It's only mentioned in the SRM Installation doc under the Upgrade section.

     

    The fact that you need to rebuild your Spectrum Report Manager system in order to migrate data, because you can't upgrade CABI, is something that should be included on the Release Notes, probably under Report Manager Anomalies.  I've added a comment there, so hopefully it'll get added.  May save someone else a headache.

     

    From: Upgrade CABI:

     

    • CABI 4.1 does not support upgrades from 3.x.
      • A new system is required to facilitate migration of data from a 3.x CABI host to the new CABI 4.1 host.
      • Install the CABI 4.1 on a new, separate machine.  You cannot install CABI on top of 3.x.

     

    We didn't catch this until just before our scheduled Spectrum 10.0 upgrade, and it threw a major wrench in our upgrade plans.  It should have been very clearly called out in the Release Notes (well, actually, it shouldn't have been required in the first place; forcing me to build a new Report Manager system is a joke).



  • 2.  Re: Spectrum 10 Upgrade: CABI Requires New System (Spectrum Report Manager)

    Posted 02-10-2016 10:27 AM

    This was a surprise to me as well back in November.  I've taken the approach of reading all the upgrade docs I can find and then opening a support ticket to ask how to upgrade as it doesn't seem that all you need to know is in one place.  I would recommend opening a support ticket on how to make the CABI migration and also use the post implementation guide.



  • 3.  Re: Spectrum 10 Upgrade: CABI Requires New System (Spectrum Report Manager)

    Posted 02-11-2016 10:52 AM

    Thanks for the tip.  I've been reviewing the guide you mentioned (and all the rest of the documentation I can find, since discovering this hassle was required).  Opening a ticket with support is a really good idea, though.  That should help minimize impact (we have a few customer facing scheduled reports), and it will also make sure that CA knows that their poor handling and documentation of the CABI upgrade is annoying their customers.